Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface RichPointerType

All Known Implementing Classes:
  RichPointerTypeImpl

    public interface RichPointerType

Used to implement ptr elements. Subelements (i.e., text associated with the ptr) are optional. Java content class for richPointerType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 687)

     <complexType name="richPointerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element name="p" type="{http://infoml.org/infomlFile}simpleRichTextType"/>
             <element name="quotation" type="{http://infoml.org/infomlFile}simpleRichTextWithAuthorType"/>
             <element name="poem" type="{http://infoml.org/infomlFile}poemType"/>
             <element name="table" type="{http://infoml.org/infomlFile}tableType"/>
           </choice>
           <attribute name="adjacentToPrevious" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="name" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="previousCurrentSeparator" type="{http://www.w3.org/2001/XMLSchema}string" default=" " />
           <attribute name="qualities" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="sameParaAsPrevious" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="targetId" use="required" type="{http://infoml.org/infomlFile}infoRIType" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static interface` | `RichPointerType.P` Java content class for p element declaration.
`static interface` | `RichPointerType.Poem` Java content class for poem element declaration.
`static interface` | `RichPointerType.Quotation` Java content class for quotation element declaration.
`static interface` | `RichPointerType.Table` Java content class for table element declaration.

Method Summary
`java.lang.String` | `getName()` Gets the value of the name property.
`java.util.List` | `getPOrQuotationOrPoem()` Gets the value of the POrQuotationOrPoem property.
`java.lang.String` | `getPreviousCurrentSeparator()` Gets the value of the previousCurrentSeparator property.
`java.lang.String` | `getQualities()` Gets the value of the qualities property.
`java.lang.String` | `getTargetId()` Gets the value of the targetId property.
`boolean` | `isAdjacentToPrevious()` Gets the value of the adjacentToPrevious property.
`boolean` | `isSameParaAsPrevious()` Gets the value of the sameParaAsPrevious property.
`void` | `setAdjacentToPrevious(boolean value)` Sets the value of the adjacentToPrevious property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setPreviousCurrentSeparator(java.lang.String value)` Sets the value of the previousCurrentSeparator property.
`void` | `setQualities(java.lang.String value)` Sets the value of the qualities property.
`void` | `setSameParaAsPrevious(boolean value)` Sets the value of the sameParaAsPrevious property.
`void` | `setTargetId(java.lang.String value)` Sets the value of the targetId property.

Method Detail

### getName

    java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getQualities

    java.lang.String getQualities()

  Gets the value of the qualities property.

  Returns:
    possible object is `String`

### setQualities

    void setQualities(java.lang.String value)

  Sets the value of the qualities property.

  Parameters:
    `value` - allowed object is `String`

### isAdjacentToPrevious

    boolean isAdjacentToPrevious()

  Gets the value of the adjacentToPrevious property.

### setAdjacentToPrevious

    void setAdjacentToPrevious(boolean value)

  Sets the value of the adjacentToPrevious property.

### getPreviousCurrentSeparator

    java.lang.String getPreviousCurrentSeparator()

  Gets the value of the previousCurrentSeparator property.

  Returns:
    possible object is `String`

### setPreviousCurrentSeparator

    void setPreviousCurrentSeparator(java.lang.String value)

  Sets the value of the previousCurrentSeparator property.

  Parameters:
    `value` - allowed object is `String`

### getPOrQuotationOrPoem

    java.util.List getPOrQuotationOrPoem()

  Gets the value of the POrQuotationOrPoem property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the POrQuotationOrPoem property.

  For example, to add a new item, do as follows:

          getPOrQuotationOrPoem().add(newItem);

  Objects of the following type(s) are allowed in the list `RichPointerType.P` `RichPointerType.Table` `RichPointerType.Quotation` `RichPointerType.Poem`

### isSameParaAsPrevious

    boolean isSameParaAsPrevious()

  Gets the value of the sameParaAsPrevious property.

### setSameParaAsPrevious

    void setSameParaAsPrevious(boolean value)

  Sets the value of the sameParaAsPrevious property.

### getTargetId

    java.lang.String getTargetId()

  Gets the value of the targetId property.

  Returns:
    possible object is `String`

### setTargetId

    void setTargetId(java.lang.String value)

  Sets the value of the targetId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD